/***************************************************************************
                          kpacmanview.h  -  description
                             -------------------
    begin                : Sam Jan 19 13:37:57 CET 2002
    copyright            : (C) 1998-2003 by Jrg Thnnissen
    email                : joe@dsite.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KPACMANVIEW_H
#define KPACMANVIEW_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

//include files for TQt
#include <tqwidget.h>
#include <tqregexp.h>

// application specific includes
#include "score.h"
#include "referee.h"
#include "status.h"
#include "painter.h"

/** The KpacmanView class provides the view widget for the KpacmanApp instance.
  * The View instance inherits TQWidget as a base class and represents the view object of a KTMainWindow.
  */
class KpacmanView : public TQWidget
{
    Q_OBJECT
public:
    /** Constructor for the main view */
    KpacmanView ( TQWidget *parent = 0, const char *name = 0);
    /** Destructor for the main view */
    virtual ~KpacmanView();

    void setScheme(int scheme=-1, int mode=-1);
    Score *score;
    Referee *referee;
    Status *status;

protected:
    void confScheme();
    void confMisc(bool defGroup=TRUE);
    void resizeEvent( TQResizeEvent * );

private:
    Bitfont *bitfont;
    uchar bitfontFirstChar;
    uchar bitfontLastChar;

    TQString fontName;

    int scheme;
    int mode;
};

#endif // KPACMANVIEW_H
